Bug 847099 - [abrt] cinnamon-1.4.0-8.UP1.fc16: connection.py:630:call_blocking:DBusException: org.gnome.SettingsDaemon.DateTimeMechanism.NotPrivileged: Not Authorized for action org.gnome.settingsdaemon.datetimemechanism.configure
[abrt] cinnamon-1.4.0-8.UP1.fc16: connection.py:630:call_blocking:DBusExcepti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:caa78e4b4191738a2d01bc5215c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 13:31 EDT by Mitch Davis
Modified: 2012-10-30 05:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 05:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mitch Davis 2012-08-09 13:31:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        python /usr/share/cinnamon-settings/cinnamon-settings.py calendar
executable:     /usr/share/cinnamon-settings/cinnamon-settings.py
kernel:         3.5.0-2.fc17.x86_64
time:           Fri 10 Aug 2012 07:12:47 HKT
uid:            602
username:       mjd

backtrace:
:connection.py:630:call_blocking:DBusException: org.gnome.SettingsDaemon.DateTimeMechanism.NotPrivileged: Not Authorized for action org.gnome.settingsdaemon.datetimemechanism.configure
:
:Traceback (most recent call last):
:  File "/usr/share/cinnamon-settings/cinnamon-settings.py", line 523, in on_my_value_changed
:    getattr(self.dbus_iface, self.dbus_set_method)(self.get_active())
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.gnome.SettingsDaemon.DateTimeMechanism.NotPrivileged: Not Authorized for action org.gnome.settingsdaemon.datetimemechanism.configure
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0x1013d70>
:args: (False,)
:utf8_strings: False
:bus_name: dbus.UTF8String(':1.1002')
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/'
:timeout: -1.0
:signature: u'b'
:dbus_interface: 'org.gnome.SettingsDaemon.DateTimeMechanism'
:message: <dbus.lowlevel.MethodCallMessage object at 0x13992a0>
:method: 'SetUsingNtp'

comment:
:Hello.  Not sure if this is reproducible, but here's what I did.
:
:The battery in my laptop has failed, so I wanted to update the date and time by forcing a refresh from NTP.
:
:In cinnamon I clicked on the date/time widget, and the date/time control dialog came up.  Then I deselected the "Use network time" option in the dialog.  Not sure if the abort happened at that time, or when I reselected it, but either way, I wasn't asked for the root password as usual.  Instead, the abort dialog opened.

smolt_data:
:
:
:General
:=================================
:UUID: 15b32997-5709-4895-865e-7129c0b09c38
:OS: Fedora release 16 (Verne)
:Default run level: 5
:Language: en_AU.utf8
:Platform: x86_64
:BogoMIPS: 5320.06
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 480  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 7659
:System Swap: 5999
:Vendor: Acer
:System: Aspire 5742 V1.16
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11539:4133:1159) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15113:4133:1159) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:11521:4133:1159) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11537:4133:1159) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:4133:1159) pci, None, HOST/PCI, Core Processor Reserved
:(5772:46:4187:57396) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(32902:70:4133:1159) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15145:4133:1159) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15170:4133:1159) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4133:1159) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15154:4133:1159) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15190:4133:1159) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15152:4133:1159) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:9288:4133:1159) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:11362:4133:1159) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(5348:5778:4133:1159) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(32902:15164:4133:1159) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4133:1159) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:68:4133:1159) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15204:4133:1159) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:11536:4133:1159) pci, None, HOST/PCI, Core Processor QPI Link 0
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda7 / ext4 4096 4096 2551981 1484453 1484453 600400 482253 482253
:/dev/sda6 /usr ext4 4096 4096 2551981 671684 671684 600400 341269 341269
:/dev/sda1 /boot ext2 1024 1024 407018 357474 357474 1200 908 908
:/dev/sda8 /home ext4 4096 4096 22528550 10662536 10662536 606320 456629 456629
:
Comment 1 Dan Mashal 2012-10-17 07:40:53 EDT
Hello,

Are you still experiencing this issue?
Comment 2 Mitch Davis 2012-10-17 19:05:35 EDT
I'm now running cinnamon cinnamon-1.6.1-1 from F17.  I haven't seen a repeat of this problem, so I think it can be closed.
Comment 3 Dan Mashal 2012-10-30 05:54:57 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.